#pragma once

#include "FileLib.h"
#include "HashLib.h"
#include "LexTreeLib.h"
#include "ProgressLib.h"
#include "TreeLib.h"

#define MAXLEN (256) /* maximum length of a word */

typedef enum {
	LKP_TABLE_HASH,
	LKP_TABLE_TREE,
	LKP_TABLE_LEXTREE
} LookupTableKind;

typedef int (*LookupTableCompareType)(const void *data1, const void *data2);

typedef struct {
	ProgressHandle progress;	/* progress dialog */
	LookupTableKind kind;		/* kind of table */
	HashPtr hash;				/* a hash table */
	TreePtr tree;				/* a binary tree */
	LexTreePtr lextree;			/* a lexical search tree */
	FileType *fp;				/* input file */
	LLPtr ptrlist;				/* list of pointers containing strings */
} LookupTableType;

LookupTableType *LkpTableBegin(LookupTableKind kind, long param);
void LkpTableEnd(LookupTableType *table);
size_t LkpTableSize(LookupTableType *table);
void LkpTableInsert(LookupTableType *table, const void *key, size_t size);
void LkpTableWrite(LookupTableType *table, FileType *fp,
	ProgressHandle progress);
