/*

					 Sample Source Code by Jack A. Littleton

			  	   Example List Manager Application--TextList
			  	   -------------------------------------------

	TextList.r -- Pascal-specific Rez source code
	This file and all files in this package are copyright  1989 by
	Jack A. Littleton, All rights reserved.
	Version 1.0 - January 1, 1989
	
	This package includes:
		TextList.r 		-- Rez source code for all files
		TextList.c 		-- C source code
		TextList.p 		-- Pascal source code
		PTextList.r		-- This file
		CTextList.r		-- C-specific Rez source code
		PTextList.make 	-- Makefile for Pascal TextList application
		CTextList.make 	-- Makefile for C TextList application
		
		SampleList.txt	-- Documentation for this package
		
*/
/*
TextList.r -- Rez source code for PTextList
Written by Jack A. Littleton Saturday, December 9, 1989
*/
 
#include	"Types.r"
#include	"SysTypes.r"
#include	"OpusTypes.r"

type 'PASh' as 'STR ';

resource 'MENU' (1111) {
	1111,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About PTextList", noIcon, "", "", plain,
		/* [2] */
		"-", noIcon, "", "", plain
	}
};

resource 'vers' (1) {
	1,
	0,
	0,
	0,
	0,
	"V 1.0",
	"Application ShellPascal version; used f"
	"or tutorials"
};

resource 'vers' (2) {
	1,
	0,
	0,
	0,
	0,
	"V 1.0",
	"Application Shell"
};

resource 'ICN#' (1101) {
	{	/* array: 2 elements */
		/* [1] */
		$"0001 0000 0002 8000 0004 4000 0008 2000"
		$"0010 1000 0020 0800 0000 0400 08B9 1260"
		$"0DA5 5090 0AA5 5080 08B8 A080 08A0 A090"
		$"08A0 A060 2000 0008 4000 3F04 8000 4082"
		$"4000 8041 2001 3022 1001 C814 080E 7F8F"
		$"0402 3007 0201 0007 0100 8007 0080 6007"
		$"0040 1FE7 0020 021F 0010 0407 0008 0800"
		$"0004 1000 0002 2000 0001 4000 0000 80",
		/* [2] */
		$"0001 0000 0003 8000 0007 C000 000F E000"
		$"001F F000 003F F800 007F FC00 08FF FE60"
		$"0DFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"1FFF FFF0 3FFF FFF8 7FFF FFFC FFFF FFFE"
		$"7FFF FFFF 3FFF FFFE 1FFF FFFC 0FFF FFFF"
		$"07FF FFFF 03FF FFFF 01FF FFFF 00FF FFFF"
		$"007F FFFF 003F FE1F 001F FC07 000F F800"
		$"0007 F000 0003 E000 0001 C000 0000 80"
	}
};

resource 'BNDL' (1101) {
	'PASh',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 1101
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 1101
		}
	}
};

resource 'PASh' (0) {
	$"314C 6973 7420 4D61 6E61 6765 7220 6578"        /* 1List Manager ex */
	$"616D 706C 652D 5465 7874 2076 6572 7369"        /* ample-Text versi */
	$"6F6E 2F50 6173 6361 6C2E 2031 322F 332F"        /* on/Pascal. 12/3/ */
	$"3839"                                           /* 89 */
};

resource 'PICT' (128) {
	$"1B3B 0000 000A 0117 0138 1101 A000 82A0"        /* .;.......8... */
	$"3039 A000 8E01 000A 0000 0000 02F0 0240"        /* 09...........@ */
	$"9800 2600 0000 0801 0F01 3800 0000 0A01"        /* .&.......8..... */
	$"0F01 3800 0000 0A01 0F01 3800 0106 FE00"        /* ..8.......8..... */
	$"0070 DF00 1C08 003F C0F8 0004 03F8 FFF7"        /* .p.....?....... */
	$"0001 FFF8 FE00 0220 1FFF FA00 011F 80FF"        /* ....... ....... */
	$"001C 0800 1F80 F800 0401 F8FE F700 01EF"        /* ............... */
	$"B8FE 0002 200F C7FA 0001 0F80 FF00 2008"        /* ... ....... . */
	$"001F 8070 000C 01FD FEFB 0000 E0FE 0001"        /* ..p............ */
	$"CF98 FE00 0260 0FC3 FA00 010F 80FF 0021"        /* Ϙ...`.......! */
	$"0800 1F80 0000 1C01 FD7E FC00 0101 60FE"        /* ........~....`. */
	$"0001 8F88 FE00 02E0 0FC1 FA00 010F 80FF"        /* ............ */
	$"0027 2500 1F81 F9F6 FE01 7F7E 1FC3 F783"        /* .'%.......~.. */
	$"F81F 81F1 FBC0 8F88 7C7F BFF0 0FC9 7FBD"        /* ....|.... */
	$"FC3F 3873 F70F 87C0 0027 2500 1F80 FB8E"        /* .?8s...'%... */
	$"7C01 7F7E 79F1 FBEF 3E79 E79C FFE0 0F81"        /* |..~y...>y.... */
	$"E73F 13E0 0FD8 3F17 9F1F 7DF9 FBCF 9E70"        /* .?...?..}..Ϟp */
	$"0027 2500 1F80 FBE2 7C01 3E7E 79F1 F3EF"        /* .'%....|.>~y... */
	$"3E79 E79E FBE0 0F81 E79F A3E0 0FF8 1FA7"        /* >y......... */
	$"9F1F BEF9 F3CF 9E78 0027 2500 1F80 FBF8"        /* ...Ϟx.'%.... */
	$"7C01 3E7E 71F1 F3EE 3E79 EF9E F9FE 0F83"        /* |.>~q...>y.... */
	$"E78F C3E0 0FD8 0FC7 1F1F 3CF9 F3EF BE78"        /* ......<...x */
	$"0027 2500 1F84 FBFE 7C01 3E7E 0FF1 F3E1"        /* .'%....|.>~.... */
	$"FE3F 8FFE F83E 0F83 FF87 E3E0 0FC9 07E0"        /* .?..>....... */
	$"FF1F 3CF9 F3EF BFF8 0027 2300 1F84 F8FE"        /* ..<.....'#.... */
	$"7C01 1C7E 39F1 F3E7 3E20 0F80 F83E 0F83"        /* |..~9...> ..>. */
	$"E007 E3E0 0FC1 07E3 9F1F 3CF9 F3EF BEFF"        /* ........<.... */
	$"0027 2500 1F8C FA3E 7D01 1C7E 79F1 F3EF"        /* .'%...>}..~y... */
	$"3E3F 8782 F800 0F81 E08B F3E8 0FC3 0BF7"        /* >?......... */
	$"9F1F 3CF9 F3CF 9E08 0027 2500 1F9C FB8E"        /* .<..Ϟ..'%... */
	$"7D01 087E 7BF5 F3EF 7EFF E78C F800 0F81"        /* }..~{...~..... */
	$"E311 FBE8 0FC7 11FF BF5F 3CF9 FBCF 9E30"        /* ......._<..Ϟ0 */
	$"0027 2500 3FFD FF7C 3E03 88FF 3CFB FFF7"        /* .'%.?..|>..<... */
	$"9F7F E1F1 FC00 1FC0 7C7B FDF0 1FFF 7BFF"        /* ......|{....{. */
	$"CFBF FFFD F71F C7C0 000C F300 013F E0F1"        /* Ͽ.........?.. */
	$"0001 01F0 FD00 0CF3 0001 6060 F100 0101"        /* ..........``.... */
	$"F0FD 000C F300 0160 E0F1 0001 01F0 FD00"        /* .......`........ */
	$"0CF3 0001 3F80 F100 0103 F8FD 0006 FA00"        /* ....?.......... */
	$"0040 E300 06FA 0000 A0E3 0007 FB00 0101"        /* .@............. */
	$"10E3 0007 FB00 0102 08E3 0007 FB00 0104"        /* ................ */
	$"04E3 0007 FB00 0108 02E3 0007 FB00 0110"        /* ................ */
	$"01E3 0009 FC00 0301 C000 88E4 0009 FC00"        /* ............ */
	$"0301 2000 08E4 0009 FC00 0301 2666 68E4"        /* .. ........&fh. */
	$"0009 FC00 0301 CAC8 A8E4 001E FC00 0701"        /* .....Ȩ....... */
	$"0A28 A800 006F F8FD 000D 0780 FCE0 0000"        /* .(..o........ */
	$"01C0 0000 07E0 0386 FA00 1FFC 0007 0505"        /* .............. */
	$"C658 0001 879E FD00 0E03 8078 4000 0001"        /* X......x@... */
	$"C000 0001 E00E E180 FB00 1CFC 0007 0800"        /* .............. */
	$"0002 0001 879E FD00 0303 807C 40FB 0004"        /* ........|@... */
	$"01E0 1EF1 80FB 0020 FC00 1A10 000F C100"        /* ...... ....... */
	$"0387 9E7E 1E8F 8FC3 803C 83C7 B9EB C3C7"        /* .~.À<ǹ. */
	$"B801 E01E F1C0 FB00 20FC 001A 2000 1020"        /* ...... ... ..  */
	$"8003 879E 6739 B9CC E380 3E8E 73FB 99CE"        /* .g9.>s. */
	$"73DC 01E0 1EF1 C0FB 0020 FC00 1A10 0020"        /* s....... .....  */
	$"1040 0387 F807 3E39 C0E3 801F 0E73 BBE1"        /* .@...>9...s. */
	$"CE73 9C01 E01E F1C0 FB00 20FC 001A 0800"        /* s...... ..... */
	$"4C08 8003 8780 7F3F B80F E380 1F0F F383"        /* L...?..... */
	$"F9CE 739C 01E0 1EF1 C0FB 0020 FC00 1A04"        /* .s...... .... */
	$"0072 0500 0387 80E7 0FB8 1CE3 800E 0E03"        /* .r.......... */
	$"80F9 CE73 9C01 E1DE F1C0 FB00 20FC 001A"        /* .s...... ... */
	$"0203 9FE3 C003 8780 EF73 B85D EB80 0E0E"        /* .....s]... */
	$"1383 39CE 739C 01E1 CEE1 C0FB 0020 FC00"        /* .9s..... .. */
	$"1A01 008C 01C0 038F C077 AF0F 8EF7 C004"        /* .....w... */
	$"03E7 C2F3 E3C7 DE07 F9C3 81C0 FB00 10FB"        /* .......Á.... */
	$"0005 8040 01C0 0180 EF00 0101 80FB 0010"        /* ..@......... */
	$"FB00 0540 2001 C001 80EF 0001 0180 FB00"        /* ...@ ........ */
	$"0FFB 0005 2018 01C0 0060 EF00 0006 FA00"        /* .... ...`...... */
	$"09FB 0003 1007 F9C0 E500 09FB 0003 0800"        /* ............. */
	$"87C0 E500 09FB 0003 0401 01C0 E500 07FB"        /* ............ */
	$"0001 0202 E300 07FB 0001 0104 E300 06FA"        /* ................ */
	$"0000 88E3 0006 FA00 0050 E300 06FA 0000"        /* ........P...... */
	$"20E3 0002 DB00 1E01 3FEC F800 0918 0300"        /*  .......?...... */
	$"003E 0000 01E0 3CFB 0001 1E80 FE00 05C0"        /* .>....<....... */
	$"001E 8006 0021 0422 2402 0008 FB00 0968"        /* ....!."$.....h */
	$"0100 0008 0400 0060 30FB 0001 3180 FE00"        /* .......`0...1.. */
	$"0540 0061 8002 0023 0422 2402 0008 FD00"        /* .@.a..#."$..... */
	$"0B40 0040 2100 0008 0401 0050 50FB 0001"        /* .@.@!......PP... */
	$"2080 FE00 0540 0040 8002 0020 0102 04FA"        /*  ...@.@.. .... */
	$"000B 4000 4021 0000 0800 0100 5050 FB00"        /* ..@.@!......PP.. */
	$"0120 80FE 0005 4000 C080 0200 2725 0205"        /* . ...@...'%.. */
	$"C63C 18F0 6E1C 6EF0 3CF0 7970 F008 0C7B"        /* <..n.n.<.yp...{ */
	$"C058 9071 B838 7679 B838 0E37 38DC 4780"        /* Xq8vy8.78.G */
	$"801E 3A3C 2725 0206 6244 0910 3326 3240"        /* .:<'%..bD.3&2@ */
	$"6640 2199 9808 0489 0048 9098 CC4C CCCC"        /* f@!...HL */
	$"C80E 1319 CC66 4CC0 8033 6666 2725 0204"        /* ...fL3ff'%.. */
	$"2260 0980 2102 2040 4240 2109 0808 04C1"        /* "`ƀ!. @B@!... */
	$"004D 1008 8404 8484 8003 8110 8442 4840"        /* .M.....BH@ */
	$"8021 4242 2725 0204 2238 08E0 211E 2040"        /* !BB'%.."8..!. @ */
	$"4240 2109 F808 0471 0045 1078 843C CCFC"        /* B@!...q.E.x<. */
	$"8020 8F10 8442 4FC0 C0A1 427E 2725 0204"        /*  .BOB~'%.. */
	$"220C 0830 2162 2040 4240 2109 0008 2419"        /* "..0!b @B@!..$. */
	$"0047 1188 84C4 7880 8020 B110 8442 4800"        /* .G.x .BH. */
	$"40A1 4240 2725 0204 2244 0910 3346 2048"        /* @B@'%.."D.3F H */
	$"6640 2509 8808 2489 2042 1118 848C 80C4"        /* f@%ƈ.$ B.. */
	$"8031 A310 8466 4C40 6133 6662 2725 0F8E"        /* 1.fL@a3fb'%. */
	$"7778 1DE0 2E3B 7030 3CE0 1B9C F03F EEF0"        /* wx...;p0<...?.. */
	$"C1F2 7CED CE76 7C79 C02F 1DB9 CE5C E780"        /* .|.v|y/.\. */
	$"1E1E 3B3C 0EFB 0000 20F0 0000 C6FB 0000"        /* ..;<.... ...... */
	$"40FB 000E FB00 0020 F000 0082 FB00 0040"        /* @...... ......@ */
	$"FB00 0EFB 0000 70F0 0000 7CFB 0000 E0FB"        /* ......p...|..... */
	$"0002 DB00 02DB 001B 033F C000 18F7 000A"        /* .........?..... */
	$"0600 000F 8000 C003 E000 03FC 0002 07FD"        /* .............. */
	$"80FC 0022 0308 6000 08FB 0000 08FE 000A"        /* .."..`......... */
	$"0200 0002 0000 4000 8040 01FC 0005 0444"        /* ......@.@.....D */
	$"8040 0040 FF00 2403 0820 0008 FB00 1008"        /* @.@..$.. ...... */
	$"8400 0002 0000 0200 0040 0080 4421 0020"        /* ........@.D!.  */
	$"FE00 0504 4480 4000 40FF 001F 0308 2000"        /* ....D@.@..... . */
	$"08FA 000F 8400 0002 0000 0200 0040 0080"        /* ............@. */
	$"0421 0020 FD00 0140 80FC 0027 2508 4387"        /* .!. ...@..'%.C */
	$"8BC3 8767 80EE EDD9 EF3C DC02 E770 021C"        /* Çg....<...p.. */
	$"3C5E 0080 CF79 1E79 E6E0 0000 40B8 C780"        /* <^.y.y....@ǀ */
	$"C780 3827 250F 84CC C904 CCCC C044 4648"        /* ǀ8'%..DFH */
	$"8466 6603 3220 0226 6648 0080 4421 3323"        /* ff.2 .&fH.D!3# */
	$"3330 0000 40CC 4880 4880 4C27 2508 0048"        /* 30..@HHL'%..H */
	$"0A00 4848 4044 4408 8442 4202 1220 0202"        /* ..HH@DD.BB.. .. */
	$"4050 0080 4421 2122 1210 0000 4084 4C00"        /* @P.D!!"....@L. */
	$"4C00 0427 2508 03C8 0F03 CCCF C02A 8408"        /* L..'%....*. */
	$"847E 4202 1140 321E 4078 0080 4421 3F22"        /* ~B..@2.@x.D!?" */
	$"1210 0000 4084 4700 4700 3C27 2508 0C48"        /* ....@G.G.<'%..H */
	$"098C 4788 002A 8408 8440 4202 1140 2262"        /* ƌG.*.@B..@"b */
	$"404C 0082 4421 2022 1210 0000 4084 4180"        /* @L.D! "....@A */
	$"4180 C427 2508 08CC 48C8 C80C 4011 0408"        /* A'%..H.@... */
	$"94E2 4203 3080 2246 6246 0082 44A5 3127"        /* .B.0"FbF.D1' */
	$"3211 0000 4084 4880 4880 8C27 253E 0767"        /* 2...@HH'%>.g */
	$"9DE7 67C7 8011 0E1C 633C E702 E080 1C3B"        /* .gǀ...c<....; */
	$"3CEF 03FE E31B 9E19 E739 0001 F1CE EF00"        /* <.......9..... */
	$"EF00 760B FC00 010C 60F9 0000 01EB 000B"        /* ..v.....`....... */
	$"FC00 0108 20F9 0000 05EB 000B FC00 0107"        /* .... ........... */
	$"C0F9 0000 06EB 0002 DB00 02DB 001E 013F"        /* ..............? */
	$"C0FE 0000 60FD 0000 60F6 0002 0C00 06FE"        /* ...`...`....... */
	$"0007 1800 6000 0C00 01F0 FF00 2301 0860"        /* ....`.......#..` */
	$"FE00 0520 0080 0000 20FB 0000 04FD 0002"        /* ... ... ....... */
	$"3400 02FE 0009 0801 A000 0400 0040 2000"        /* 4..........@ . */
	$"2501 0820 FE00 0520 0080 0000 20FD 0002"        /* %.. ... ... ... */
	$"1000 84FD 0002 2000 42FE 0009 0801 0000"        /* ..... .B...... */
	$"0440 0040 2008 2401 0820 FE00 0020 FD00"        /* .@.@ .$.. ... .. */
	$"0020 FD00 0210 0080 FD00 0220 0042 FE00"        /* . ........ .B.. */
	$"0908 0100 0004 4000 4000 0827 2508 4387"        /* .....@.@..'%.C */
	$"9E1C 2001 9B9C 6E23 CDCE 1E6E 3C71 EC79"        /* . .n#.n<q.y */
	$"B800 1E78 00F2 E1E0 00E8 F3C7 1CE4 F000"        /* ..x........... */
	$"4063 DE27 250F 84C8 B326 2000 8CE6 3326"        /* @c.'%.ȳ& ..3& */
	$"6673 3333 1098 84CC CC00 3320 0043 3330"        /* fs33..3 .C30 */
	$"0199 9909 8844 4000 4024 4827 0B08 004C"        /* .ƈD@.@$H'...L */
	$"2002 2000 8842 2124 24FE 2101 1008 FE84"        /*  . .B!$$.!.... */
	$"1100 2120 0042 1210 0109 0900 8844 4000"        /* ..! .B....D@. */
	$"4026 0827 1008 03C7 201E 2000 8842 2127"        /* @&.'... . .B!' */
	$"E421 3F21 1078 FE84 1100 2120 0042 13F0"        /* .!?!.x...! .B.. */
	$"0109 F907 8844 4000 4023 8827 1008 0C41"        /* ...D@.@#'...A */
	$"A062 2000 8842 2124 0421 2021 1188 FE84"        /* b .B!$.! !.. */
	$"1100 2120 0042 1200 0109 0118 8844 4000"        /* ..! .B.....D@. */
	$"4120 C827 2508 08C8 B146 2000 8842 3326"        /* A '%..ȱF .B3& */
	$"2421 3121 1318 94CC 8400 3320 004A 1310"        /* $!1!..̄.3 .J.. */
	$"0199 8911 8CC4 4800 4124 4927 253E 076F"        /* ..H.A$I'%>.o */
	$"1E3B 7001 DCE7 2E73 CE73 9E73 8CEC 6E79"        /* .;p....sss.ny */
	$"CE00 1E70 0037 39E0 00EC F38E C76E 3001"        /* ..p.79....n0. */
	$"FF77 8606 F800 0020 E500 06F8 0000 20E5"        /* .w.... ...... . */
	$"0006 F800 0070 E500 02DB 0002 DB00 1F03"        /* .....p.......... */
	$"3FC0 0180 F700 0060 FE00 0B02 F83F C7FD"        /* ?....`.....?. */
	$"FF00 123C 4000 30FE 0001 0198 FE00 2106"        /* ...<@.0......!. */
	$"0820 06A0 0100 80FA 0000 20FE 000B 0420"        /* . ...... ....  */
	$"0821 0441 0012 6620 0010 FD00 0088 FE00"        /* .!.A..f ....... */
	$"2206 0830 0420 0110 80FA 0000 20FE 0010"        /* "..0. ..... ... */
	$"0820 0831 0441 0012 4210 0210 0008 0000"        /* . .1.A..B....... */
	$"88FE 0021 0508 1004 0000 10F9 0000 20FE"        /* ..!.......... . */
	$"0010 0820 0811 2048 007F 4210 0210 0008"        /* ... .. H..B..... */
	$"0000 88FE 0027 2508 13CF 66E3 3D8F 3700"        /* ....'%..f.=7. */
	$"6E6E 78F1 E3A7 3B73 C010 2008 1120 4800"        /* nnx..;s. .. H. */
	$"2442 0807 9707 1E00 7088 F3BB 9E27 2508"        /* $B.....p.'%. */
	$"1664 2331 1099 9980 3332 CD9B 3662 1196"        /* .d#1.32͛6b. */
	$"6010 2008 11E0 7800 2442 0802 1989 8800"        /* `. ...x.$B.... */
	$"9889 9911 2227 2508 1424 2211 1090 9080"        /* ."'%..$".. */
	$"2120 8502 1422 1104 2010 2008 1120 4800"        /* ! ..".. . .. H. */
	$"2442 0802 1080 8800 0889 0911 3027 2508"        /* $B......0'%. */
	$"17E4 2211 1090 9080 2120 8503 F422 1107"        /* .."..! ..".. */
	$"E010 2008 1120 4800 FE42 0802 1087 8800"        /* .. .. H..B.... */
	$"7889 08AA 1C27 2508 3404 2211 1090 9080"        /* x..'%.4.".. */
	$"2120 8502 0422 1104 0010 2088 3104 4000"        /* ! ..".... 1.@. */
	$"4842 0802 1098 8801 8889 08AA 0627 2508"        /* HB......'%. */
	$"2624 2211 1299 9080 3320 CD8B 1663 3106"        /* &$"..3 ͋.c1. */
	$"2008 2088 2104 4000 4866 1002 5091 8901"        /*  . !.@.Hf..P. */
	$"1889 9844 2227 253F C3CE 773B 8DCF 39C0"        /* .D"'%?w;9 */
	$"2E70 78F1 E3B1 DB83 C008 FFBF C7FD F000"        /* .px........ */
	$"483C 1001 B9CE C600 EDDC F044 3C0E F800"        /* H<......D<... */
	$"0020 F900 0004 F900 0020 F700 0EF8 0000"        /* . ....... ...... */
	$"20F9 0000 02F9 0000 40F7 0006 F800 0070"        /*  .......@......p */
	$"E500 02DB 0002 DB00 14F2 0000 C0FE 0001"        /* ............... */
	$"0198 FE00 010F FBFB 0000 C0FC 001A F700"        /* .............. */
	$"0020 FD00 0040 FD00 0088 FE00 0108 89FB"        /* . ...@........ */
	$"0003 4400 0004 FF00 2302 1000 01FE 0000"        /* ..D.....#....... */
	$"04FE 0005 2001 0000 0840 FD00 0088 FE00"        /* .... ....@..... */
	$"0108 89FB 0003 4400 0084 FF00 2102 1000"        /* .....D....!... */
	$"01FE 0000 04FD 0004 0100 0008 40FD 0000"        /* ............@... */
	$"88FD 0000 81FB 0003 4000 0080 FF00 2715"        /* ......@....'. */
	$"3CF3 3BC0 079B 8F6E EE00 66E3 CF00 1E5C"        /* <.;.n..f...\ */
	$"3C00 3C78 88F0 FE00 0C81 70F0 0038 DCDC"        /* <.<x....p..8.. */
	$"4C78 71EC 79B8 2715 1199 9100 0CCC C432"        /* Lxq.y'....2 */
	$"4400 2331 1980 0866 6600 66CC 8910 FE00"        /* D.#1..ff.f̉... */
	$"0C81 9998 004C 6666 44CC 9884 CCCC 2615"        /* ..LffD̘&. */
	$"1108 E100 0848 4420 4400 2211 1080 0842"        /* .....HD D."...B */
	$"4200 4084 8980 FE00 0981 0908 0004 4242"        /* B.@..Ɓ...BB */
	$"4480 08FE 8426 1511 F841 000F C844 2028"        /* D..&...A..D ( */
	$"0022 1110 8008 427E 0040 FC88 E0FE 0009"        /* ."...B~.@.... */
	$"8109 F800 3C42 4244 8078 FE84 2615 1100"        /* ..<BBDx.&... */
	$"E100 0808 4420 2800 2211 1080 0842 4000"        /* ....D (."...B@. */
	$"4080 8830 FE00 0981 0900 00C4 4242 4481"        /* @0..Ɓ..BBD */
	$"88FE 8427 1513 8931 200C 4844 A010 0022"        /* .'..1 .HD.." */
	$"1139 8009 4262 0062 C489 12FE 000C 8109"        /* .9Bb.bĉ.... */
	$"8800 8C66 6644 C518 94CC 8427 250C F398"        /* .ffD.̄'%.. */
	$"C007 9CE3 7010 0077 38CF 0006 E73C 003C"        /* ..p..w8...<.< */
	$"79DD E200 0003 E39C F000 765C 5CEE 78EC"        /* y........v\\.x. */
	$"6E79 CE0B F900 0020 EC00 0140 40FB 000B"        /* ny.... ...@@... */
	$"F900 00A0 EC00 0140 40FB 000B F900 00C0"        /* ......@@...... */
	$"EC00 01E0 E0FB 0002 DB00 02DB 0015 0100"        /* ................ */
	$"33F0 0000 F0FD 0000 03FC 0001 0C60 FD00"        /* 3............`.. */
	$"01C0 0016 0100 11F1 0001 0350 FD00 0001"        /* ..........P.... */
	$"FC00 0135 A0FD 0001 4000 1F01 0011 F800"        /* ...5...@....... */
	$"0002 FD00 0308 0002 10FD 000D 2100 0080"        /* ...........!.. */
	$"0000 2100 0020 0008 4000 1F01 0011 F800"        /* ..!.. ..@....... */
	$"0002 FD00 0308 0002 10FD 000D 2100 0080"        /* ...........!.. */
	$"0000 2100 0020 0008 4000 2725 0E11 1E77"        /* ..!.. ..@.'%...w */
	$"73C0 00EE 79CE 0007 9E00 01E7 9E00 0790"        /* s..y....... */
	$"E1D9 E000 7970 71E0 001C 7BCF 1E78 001E"        /* ....ypq...{.x.. */
	$"5C3C 2725 1311 3322 2440 0044 CC84 0002"        /* \<'%..3"$@.D̄.. */
	$"3300 022C C800 0211 3332 2000 2198 9880"        /* 3..,...32 .! */
	$"0026 2119 B320 0008 6666 2725 0111 2122"        /* .&!. ..ff'%..!" */
	$"2600 0044 8484 0002 2100 0308 4800 0210"        /* &..D..!...H... */
	$"1213 0000 2108 0880 0002 2110 A020 0008"        /* ....!....!. .. */
	$"4242 2725 0F11 2115 4380 0028 8484 0002"        /* BB'%..!.C.(.. */
	$"2100 01CF C800 0210 F331 C000 2108 7880"        /* !......1.!.x */
	$"001E 211F A020 0008 427E 2725 3111 2115"        /* ..!. ..B~'%1.!. */
	$"40C0 0028 8484 0002 2100 0068 0800 0213"        /* @.(..!..h.... */
	$"11E0 6000 2109 8880 0062 2110 2020 0008"        /* ..`.!ƈ.b!.  .. */
	$"4240 2725 2311 3308 8440 0010 CCCC 0002"        /* B@'%#.3.@.... */
	$"7300 022C 4900 0212 3202 2000 2509 1890"        /* s..,I...2. .%. */
	$"0046 2118 B124 0009 4262 2725 1DBB 9E08"        /* .F!.$.Bb'%.. */
	$"8780 0010 7876 0001 9E00 03C7 8600 0739"        /* ..xv....ǆ..9 */
	$"D9F3 C000 1B9C EC60 003B 738F 1E18 0006"        /* .....`.;s.... */
	$"E73C 0BFA 0000 20F5 0001 0318 F100 0BFA"        /* .<.... ......... */
	$"0000 A0F5 0001 0208 F100 0BFA 0000 C0F5"        /* .............. */
	$"0001 01F0 F100 02DB 0002 DB00 15F8 0005"        /* ................ */
	$"0180 0C00 003E FE00 0178 0FF7 0001 6060"        /* ....>...x....`` */
	$"FB00 19FC 0000 04FE 000A 0680 0400 0008"        /* ............... */
	$"0400 0018 0CF7 0001 2022 FB00 19FC 0000"        /* ........ "...... */
	$"84FE 000A 0400 8400 0008 0401 0014 14F7"        /* .............. */
	$"0001 2022 FB00 19FC 0000 80FE 000A 0400"        /* .. "........... */
	$"8400 0008 0001 0014 14F7 0001 2020 FB00"        /* ...........  .. */
	$"2725 1E6E 3CDC 71EC 79B8 03CF 01E5 C3C0"        /* '%.n<.q.y... */
	$"080C 7BC0 1624 1C6E 0E1D 9E6E 001E 6E0E"        /* ..{.$.n..n..n. */
	$"2E26 6E1D 80EE 79CE 2725 3333 6664 9884"        /* .&n..y'%33fd */
	$"CCCC 0664 0086 6660 0804 8900 1224 2633"        /* .d.f`....$&3 */
	$"1333 3332 0033 3313 3322 3333 0044 CC84"        /* .332.33.3"33.D̄ */
	$"2704 2121 4240 08FE 841D 0424 0084 2420"        /* '.!!B@....$.$  */
	$"0804 C100 1344 0221 0121 2120 0021 2101"        /* ....D.!.!! .!!. */
	$"2122 2121 0044 8484 2704 2121 7E40 78FE"        /* !"!!.D'.!!~@x. */
	$"841D 0424 0084 27E0 0804 7100 1144 1E21"        /* ..$.'...q..D.! */
	$"0F33 3F20 003F 210F 2122 2133 0028 8484"        /* .3? .?!.!"!3.( */
	$"2704 2121 4041 88FE 841D 0424 0084 2400"        /* '.!!@A...$.$. */
	$"0824 1900 11C4 6221 311E 2020 0020 2131"        /* .$...b!1.  . !1 */
	$"2122 211E 0028 8484 2725 3333 6241 1894"        /* !"!..('%33bA. */
	$"CC84 0664 0094 2620 0824 8920 1084 4621"        /* ̄.d.& .$ .F! */
	$"2320 3120 C031 2123 3322 2120 0010 CCCC"        /* # 1 1!#3"! .. */
	$"2725 1E2E 3CE0 EC6E 79CE 03CE 006E 73C0"        /* '%..<..ny..ns */
	$"3FEE F0C0 7C9F 3B73 9D9F 1E70 401E 739D"        /* ?..|;s.p@.s */
	$"AE77 739F 0010 7876 1201 0020 EC00 0331"        /* ws..xv... ...1 */
	$"8000 40FB 0002 3180 20FF 0012 0100 20EC"        /* .@...1 ..... . */
	$"0003 2080 0080 FB00 0220 80A0 FF00 0F01"        /* .. .... .... */
	$"0070 EC00 001F F800 021F 00C0 FF00 02DB"        /* .p............. */
	$"0002 DB00 12FB 0006 0180 0000 1803 18ED"        /* ............... */
	$"0004 6000 00C0 001A FA00 0580 0000 088D"        /* ..`.......... */
	$"68FB 0000 20FA 0000 40FD 0005 4020 0000"        /* h... ...@...@ .. */
	$"4000 1E00 10FC 0006 1080 0000 0888 40FB"        /* @...........@. */
	$"0000 20FB 0001 0840 FD00 0544 2000 0840"        /* .. ....@...D ..@ */
	$"0019 0010 FC00 0610 8000 0008 0840 F400"        /* ............@.. */
	$"0008 FC00 0504 2000 0840 0027 253C F001"        /* ...... ..@.'%<.. */
	$"E78F 003C B878 00E9 9EF3 CDCF 370F 1E00"        /* ..<x...7... */
	$"66E0 01E6 E3CD C71E C79B 800E EECF 2E00"        /* f.....Ǜ.... */
	$"1E5C 3C27 2511 9802 2CD9 8010 CCCC 0198"        /* .\<'%..,... */
	$"8846 6659 9999 B300 2330 0333 3666 4988"        /* FfY.#0.36fI */
	$"4CCC C004 4444 3300 0866 6627 2511 0803"        /* L.DD3..ff'%... */
	$"0850 8010 8484 0108 8844 2410 9090 2100"        /* .P...D$.!. */
	$"2210 0212 1424 0088 4848 4004 4444 2100"        /* "....$.HH@.DD!. */
	$"0842 4227 2511 0801 CFDF 8010 84FC 0108"        /* .BB'%........ */
	$"8847 E41F 9090 3F00 2210 0212 17E4 0788"        /* G..?."...... */
	$"4848 4002 A844 2100 0842 7E27 2511 0800"        /* HH@.D!..B~'%... */
	$"6810 0010 8480 0108 8844 0410 1090 2000"        /* h.....D... . */
	$"2210 0212 1404 1888 4848 4002 A844 2100"        /* "......HH@.D!. */
	$"0842 4027 2513 9802 2C58 8012 84C4 0198"        /* .B@'%..,X.. */
	$"8846 2418 9098 B100 2210 0333 3624 1189"        /* F$.."..36$. */
	$"4CC8 4001 1044 A100 0942 6227 250C F003"        /* L@..D.Bb'%... */
	$"C78F 000D CE78 00ED DCE3 CE0F 39CF 1E00"        /* Ǐ.x.....9.. */
	$"7738 01E2 E3CE 0EC6 E79C E001 10E3 7380"        /* w8.........s */
	$"06E7 3C06 EB00 0002 F200 06EB 0000 02F2"        /* ..<............. */
	$"0006 EB00 0007 F200 02DB 0002 DB00 06FA"        /* ................ */
	$"0000 3CE3 000A FE00 0020 FE00 00D4 E300"        /* ..<...... ..... */
	$"0EFE 0000 20FE 0000 84FC 0000 80E9 000A"        /* .... ......... */
	$"FA00 0084 FC00 0080 E900 110D 3B8E 3763"        /* .........;7c */
	$"CE73 C1E4 3876 781E 79E0 E900 110D 1113"        /* s.8vx.y...... */
	$"1926 6424 4084 4CCC 8822 CC80 E900 110D"        /* .&d$@L̈"̀... */
	$"1101 1024 2426 0084 0484 C030 8480 E900"        /* ...$$&..0.. */
	$"110D 0A0F 1024 2423 8084 3CCC 701C FC80"        /* ....$$#<p.. */
	$"E900 110D 0A31 1024 2420 C084 C478 1806"        /* ....1.$$ x.. */
	$"8080 E900 110D 0423 1026 6664 4084 8C80"        /* ....#.&fd@ */
	$"8822 C494 E900 110D 041D B873 C3B7 81CE"        /* "Ĕ.....s÷ */
	$"767C F03C 7864 E900 06F8 0000 C6E5 0006"        /* v|.<xd......... */
	$"F800 0082 E500 06F8 0000 7CE5 0002 DB00"        /* .........|..... */
	$"02DB 0002 DB00 02DB 0027 1107 7700 8000"        /* .........'..w.. */
	$"000F 8000 E000 6001 001E 0801 80FE 0010"        /* .....`........ */
	$"71C0 0002 0000 080E 01C0 0000 2002 1C71"        /* q......... ..q */
	$"C027 2502 2200 8880 0004 4000 4000 2001"        /* '%."...@.@. . */
	$"0008 0888 8020 0000 2080 0002 0000 1811"        /* ... .. ...... */
	$"0080 0000 6006 228A 2026 1602 2200 0880"        /* ...`." &..".. */
	$"0004 4000 4000 2002 8008 0088 8020 0000"        /* ..@.@. ... .. */
	$"2080 FD00 0A08 1100 8000 0020 0222 8A20"        /*  ........ ."  */
	$"2725 0154 6D9D CE6C 049D C047 0E26 0280"        /* '%.Tml.G.&. */
	$"0819 DC8E 739B 0811 0E6C F639 B008 1100"        /* ...s...l.9... */
	$"8E36 0020 0222 8A20 2725 0154 3488 9132"        /* 6. ." '%.T42 */
	$"07C8 8048 9128 0440 0808 8891 244C 8811"        /* .ȀH(.@..$L. */
	$"1135 1244 C808 1100 9119 0020 0236 DA20"        /* .5.D..... .6.  */
	$"2725 0154 2088 9F22 0428 8043 9030 07C0"        /* '%.T ".(C0. */
	$"0808 889F 2448 800A 1F21 C244 8808 1100"        /* ..$H..!D... */
	$"8711 0020 021A 6A20 2725 0088 2088 9022"        /* .. ..j '%. " */
	$"0425 064C 9028 0820 0848 8890 2448 800A"        /* .%.L(. .H$H. */
	$"1020 7244 8808 110C 9911 0020 0202 0A20"        /* . rD..... ...  */
	$"2725 0088 2088 9122 0465 0449 9124 0822"        /* '%. ".e.I$." */
	$"0848 8891 2448 8804 1121 1244 8808 5108"        /* .H$H..!.D.Q. */
	$"9311 0021 0224 9220 2725 0088 71C6 6E77"        /* ..!.$ '%.qnw */
	$"0FC2 0386 CE76 1C72 1FDC 67CE 1B9D C804"        /* ..v.r..g.. */
	$"0E71 E739 DC1C 4E07 0DBB A071 0738 E1C0"        /* .q.9..N.»q.8. */
	$"0EFA 0000 02F5 0000 10F5 0000 02FD 0006"        /* ................ */
	$"FA00 0014 E300 06FA 0000 18E3 0002 DB00"        /* ................ */
	$"2701 000F FE00 1001 8003 E011 8C60 F800"        /* '..........`.. */
	$"7000 C004 00E0 0060 FE00 0721 983E 0018"        /* p.....`...!>.. */
	$"0007 C0FE 0001 0300 2720 0011 0000 0100"        /* .......' ...... */
	$"8204 1032 5290 4400 2000 4004 0040 9220"        /* ..2RD. .@..@  */
	$"2000 0020 8811 1008 2002 20FE 0001 0100"        /*  .. ... . ..... */
	$"2601 0020 FD00 1A82 09C8 1252 9044 0020"        /* &.. ....RD.  */
	$"0040 0A00 4012 2020 0000 5088 1100 0820"        /* .@..@.  ..P...  */
	$"0220 FE00 0101 0027 2500 2035 BBEB 1EE7"        /* . .....'%. 5... */
	$"0A48 1252 907B B823 0E58 0A00 41BF 2373"        /* .H.R{#.X..A#s */
	$"2C00 5088 1231 EE73 8243 1CCD EEC7 0027"        /* ,.P.1.sC...' */
	$"2500 204A 5131 2492 0A08 11CE 9045 1024"        /* %. JQ1$...ΐE.$ */
	$"9250 1100 4092 24A4 9200 8888 1E12 4924"        /* P..@$...I$ */
	$"03C4 A126 4529 0027 2500 204A 4A21 2892"        /* .ġ&E).'%. JJ!( */
	$"09C8 1042 9044 A0A3 9070 1F00 4492 27A4"        /* .BDp..D' */
	$"9200 F888 1112 8923 0227 99E4 29E9 0027"        /* ....#.'.)..' */
	$"2500 114A 4A21 1092 0410 1252 9044 A124"        /* %..JJ!....RD$ */
	$"9248 1110 4492 2424 9200 8888 1111 0920"        /* H..D$$...  */
	$"8224 0504 2909 0027 2500 0E33 8473 9ED9"        /* $..).'%..3s. */
	$"83E0 3B9C 60F8 40C7 CCEC 3B90 FDCD F39B"        /* .;`.@.;.. */
	$"3B21 DDDC 31B9 ED9F 0633 B8EE 10E7 8016"        /* ;!..1..3.... */
	$"0500 0002 0400 22FA 0000 40F7 0000 20FE"        /* ......"...@... . */
	$"0001 0220 F900 1705 0000 0718 001C FB00"        /* ... ............ */
	$"0101 80F7 0000 40FE 0001 01C0 F900 02DB"        /* .....@........ */
	$"0002 DB00 02DB 0002 DB00 02DB 0002 DB00"        /* ................ */
	$"1CFE 0007 01F0 0020 1800 0002 FD00 0101"        /* ....... ........ */
	$"F6FE 0006 100C 302C 0418 C0F6 0016 FD00"        /* ......0,....... */
	$"0390 0000 20F9 0000 92FD 0005 0660 0404"        /* ... .......`.. */
	$"0840 F600 1AFD 0006 8000 0020 0000 20FC"        /* .@........ .. . */
	$"000A 8200 4000 0006 A004 0A08 40F6 001F"        /* ...@......@... */
	$"FD00 19E3 286E 732B B336 6703 2800 00E2"        /* ....(ns+6g.(... */
	$"236A 6733 05A6 640E 39D4 8CC8 C8F9 001F"        /* #jg3.d.9Ԍ... */
	$"FD00 1984 B029 24B2 49A2 9484 B000 0082"        /* ...)$I.. */
	$"544C 9494 0523 2411 4A59 5995 80F9 001F"        /* TL.#$.JYY... */
	$"FD00 1984 A029 24A2 4AA2 9484 A000 0092"        /* ...)$J.. */
	$"6448 9494 0525 2411 4A51 8458 40F9 0020"        /* dH.%$.JQX@..  */
	$"FE00 1A01 C320 6B63 22DB B665 8320 0001"        /* .... kc".e .. */
	$"F633 6865 B30C 776C 3BB9 D0D9 8D88 F900"        /* .3he.wl;... */
	$"02DB 0002 DB00 02DB 0006 F600 0016 E700"        /* ................ */
	$"15F6 0000 02FD 000B 79F0 1001 C38F FFFE"        /* ........y...Ï.. */
	$"3FFC E338 F700 19F9 0004 4000 0002 08FE"        /* ?..8......@..... */
	$"000B 8890 0000 8105 2494 1325 1190 F700"        /* .....$.%... */
	$"1DFD 0017 CCEC EC4E 6603 B332 0CC4 0001"        /* ......Nf.2... */
	$"0080 0000 8104 2084 1022 0990 F700 1EFE"        /* .... ."Ɛ.... */
	$"0018 0112 9292 A94C 0249 9209 2000 011C"        /* ....L.I ... */
	$"E732 2081 0420 841C 2209 50F7 001E FE00"        /* .2 . ."P..... */
	$"1801 1292 92C9 4202 4A92 0920 0001 0884"        /* ...B.J ... */
	$"9500 8104 2084 1022 0930 F700 1DFD 0017"        /* .. ."0...... */
	$"CCB6 B66B 6CC2 DBB6 0CC4 0000 8894 9600"        /* ̶kl..... */
	$"8124 2084 9221 1130 F700 15F8 0000 40FB"        /* $ !.0......@. */
	$"000B 71F5 B320 8BEE 71CF BE70 E390 F700"        /* ..q. .qϾp... */
	$"0AF8 0000 80F8 0000 01EF 0006 EE00 0002"        /* ............... */
	$"EF00 02DB 0006 E900 0080 F400 1CFE 0006"        /* ............... */
	$"01C0 3004 01C2 03FB 0003 7000 0002 FE00"        /* .0......p..... */
	$"05F1 318F 0661 80F8 001B FD00 0580 1004"        /* ..1.a........ */
	$"0080 01FB 0003 8000 0007 FE00 0512 0841"        /* .............A */
	$"0912 40F8 001D FD00 0680 100A 0080 9102"        /* .@.......... */
	$"FD00 0001 FE00 000D FE00 0522 0842 0110"        /* ..........".B.. */
	$"40F8 001E FD00 1898 D60E 0086 D913 3380"        /* @..........3 */
	$"0000 0103 3B39 6E25 5910 2518 C202 3080"        /* ....;9n%Y.%..0 */
	$"F800 1DFD 0017 8D18 1100 8291 2A4A 4000"        /* .........*J@. */
	$"0001 04A4 A525 5652 8024 A522 0449 F700"        /* ...%VR$".I.. */
	$"1DFD 0008 9514 1100 9291 324A 40FE 000B"        /* .......2J@... */
	$"84A4 A565 6433 0044 8424 080A F700 1EFD"        /* ed3.D$...... */
	$"0008 9CD6 3BA1 F6DB 1B32 C0FE 000C 732D"        /* ..;...2...s- */
	$"B9AE 3421 9043 0844 6F13 C0F8 0012 FE00"        /* 4!C.Do...... */
	$"0001 F300 0120 04FD 0003 3180 2060 F700"        /* ..... ....1 `.. */
	$"0AEF 0000 60FA 0000 40F6 0002 DB00 02DB"        /* ....`...@....... */
	$"0023 FE00 0801 E007 0078 0003 6184 FD00"        /* .#.......x..a.. */
	$"1173 B380 0080 6187 0000 1820 0003 00E0"        /* .s.a... .... */
	$"0000 60FD 0022 FD00 0790 0880 2400 0412"        /* ..`.."....$... */
	$"4CFD 0001 8499 FE00 0C20 8A80 0008 0000"        /* L...... .... */
	$"0101 5000 0020 FD00 25FD 0007 9010 4024"        /* ..P.. ..%....@$ */
	$"0006 1244 FE00 1601 0619 0200 0020 9540"        /* ...D......... @ */
	$"0008 0000 0102 A800 0020 0000 2000 25FD"        /* ........ .. .%. */
	$"0007 E010 4038 CD01 3244 FE00 1601 0315"        /* ....@8.2D...... */
	$"1321 B1AC 954C D66E 6660 475A A998 5226"        /* .!Lnf`GZR& */
	$"6871 3000 25FD 0007 8010 4025 2601 4A44"        /* hq0.%....@%&.JD */
	$"FE00 1601 0093 2A00 9A30 9691 9289 2890"        /* .....*.0( */
	$"A94A D230 6523 484A A000 24FD 0007 8008"        /* J0e#HJ.$.... */
	$"8025 2601 0A44 FD00 1584 9332 00AA 2888"        /* %&..D...2.( */
	$"1056 8928 90C9 5902 0846 2530 4B20 0025"        /* .V(Y..F%0K .% */
	$"FE00 0801 C207 0878 C902 118E FD00 1577"        /* ......x.....w */
	$"391B 20B9 AD87 0D9A 6B66 6267 68E1 B143"        /* 9. kfbgh.C */
	$"6721 59B0 000F F800 010C 60F8 0000 80F4"        /* g!Y......`.... */
	$"0000 20FE 000A EE00 0001 F300 0040 FE00"        /* .. ..........@.. */
	$"02DB 0015 ED00 0610 0598 0001 80C3 FE00"        /* ............. */
	$"0540 0600 0C2C 64FF 0020 FD00 087C 1000"        /* .@...,d.. ...|.. */
	$"0388 0C33 19E0 FA00 0620 0088 0000 8041"        /* ..3..... ...A */
	$"FD00 0402 0012 3292 FF00 9800 2601 0F00"        /* ......2...&... */
	$"0801 1701 3801 0F00 0A01 1701 3801 0F00"        /* ....8.......8... */
	$"0A01 1701 3800 0120 FD00 0884 0000 0408"        /* ....8.. ....... */
	$"1244 A420 FA00 0640 0088 0000 8041 FD00"        /* .D ...@...A.. */
	$"0402 0002 5291 FF00 22FE 0009 0104 0000"        /* ....R.."...... */
	$"0814 1264 8440 FA00 0F45 6C88 394C E671"        /* ...d@...El9L.q */
	$"3413 5CD4 839A 0456 91FF 0022 FE00 0901"        /* 4.\ԃ.V.."... */
	$"0733 3008 1C16 1588 40FA 000F 4544 8825"        /* .30....@...ED% */
	$"9293 4924 2992 5942 5208 4A91 FF00 22FE"        /* I$)YBR.J..". */
	$"0009 0104 9448 0822 0A12 9040 FA00 0F43"        /* ...H."..@...C */
	$"4488 2512 9549 1831 9251 824C 1082 91FF"        /* D%.I.1QL.. */
	$"0021 FD00 0884 9448 0422 0210 A080 FA00"        /* .!...H.".... */
	$"0F22 8D98 390C E773 101A 5CD0 C388 1E84"        /* ."9..s..\È. */
	$"62FF 0021 FD00 0875 B333 03F7 0421 3C80"        /* b..!...u3...!< */
	$"FA00 0310 0000 20FE 0008 1000 1000 0008"        /* ...... ......... */
	$"0018 04FF 0017 FB00 0401 0000 18C6 F500"        /* ............... */
	$"0060 FE00 0520 0030 0000 10FC 0006 FB00"        /* .`... .0........ */
	$"0002 E200 A000 8FA0 0083 FF"                    /* ....... */
};

